org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage

All Known Subinterfaces:
  Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile

    public interface Stage

A stage of a Reactive Streams graph.

A Reactive Streams engine will walk a graph of stages to produce `Publisher`, `Subscriber` and `Processor` instances that handle the stream according to the sequence of stages.

### Nested Class Summary

Nested Classes
`static interface` `Stage.Cancel` A cancelling stage.
`static interface` `Stage.Collect` A collect stage.
`static interface` `Stage.Concat` Concatenate the given graphs together.
`static interface` `Stage.Coupled` A stage that couples a wrapped subscriber graph to a wrapped publisher graph.
`static interface` `Stage.Distinct` A stage returning a stream consisting of the distinct elements (according to `Object.equals(Object)`) of this stream.
`static interface` `Stage.DropWhile` A drop while stage.
`static interface` `Stage.Failed` A failed publisher.
`static interface` `Stage.Filter` A filter stage.
`static interface` `Stage.FindFirst` A subscriber stage that emits the first element encountered.
`static interface` `Stage.FlatMap` A flat map stage.
`static interface` `Stage.FlatMapCompletionStage` A flat map stage that emits and flattens `CompletionStage`.
`static interface` `Stage.FlatMapIterable` A flat map stage that emits and fattens `Iterable`.
`static interface` `Stage.FromCompletionStage` A publisher representation of a `CompletionStage`.
`static interface` `Stage.FromCompletionStageNullable` A publisher representation of a `CompletionStage`.
`static interface` `Stage.Limit` A limit stage.
`static interface` `Stage.Map` A map stage.
`static interface` `Stage.Of` A publisher of zero to many values.
`static interface` `Stage.OnComplete` A stage returning a stream containing all the elements from this stream, additionally performing the provided action when this stream completes.
`static interface` `Stage.OnError` A stage returning a stream containing all the elements from this stream, additionally performing the provided action if this stream conveys an error.
`static interface` `Stage.OnErrorResume` A stage to handle errors from upstream.
`static interface` `Stage.OnErrorResumeWith` A stage to handle errors from upstream.
`static interface` `Stage.OnTerminate` A stage returning a stream containing all the elements from this stream, additionally performing the provided action if this stream terminates with an error, completes, or is cancelled by downstream.
`static interface` `Stage.Peek` A stage returning a stream containing all the elements from this stream, additionally performing the provided action on each element.
`static interface` `Stage.ProcessorStage` A processor stage.
`static interface` `Stage.PublisherStage` A publisher stage.
`static interface` `Stage.Skip` A skip stage.
`static interface` `Stage.SubscriberStage` A subscriber.
`static interface` `Stage.TakeWhile` A take while stage.